package com.xx.hbhconsumer.dialog

import android.content.Context
import android.view.Gravity
import android.view.View
import android.view.WindowManager
import android.widget.Toast
import com.xx.hbhconsumer.R
import com.xx.hbhconsumer.databinding.DialogMyParkNumberListBinding
import com.xx.hbhconsumer.dialog.adapter.MyParkListAdapter
import com.xx.hbhconsumer.dialog.data.TextListProvider
import com.xx.xxviewlibrary.base.xxBaseDialog
import me.jessyan.autosize.utils.AutoSizeUtils

class MyParkDialog(context:Context, val list:List<TextListProvider>): xxBaseDialog<DialogMyParkNumberListBinding>(context){
    lateinit var adpter:MyParkListAdapter;
    override fun InitView(): DialogSet {
        return DialogSet(R.layout.dialog_my_park_number_list,true,Gravity.BOTTOM,true, WindowManager.LayoutParams.MATCH_PARENT,AutoSizeUtils.dp2px(context,
            321.0F
        ));
    }

    override fun InitData() {
        binding.dialog=this;
        adpter= MyParkListAdapter(context);
        adpter.mList=list
        binding.rvDblList.adapter=adpter;

    }


    fun typeClickDialog(view: View) {
        val selectedPosition = adpter.getBuuthBusinessId()
        if (selectedPosition != null) {
            // 已经选中了某一项，执行相应的操作
            if (DialogClickListener != null) {
                DialogClickListener.dialogClickBack(view.id, adpter.getBuuthBusinessId())
            }
            dismiss()
        } else {
            // 没有选中任何项，提示用户
            Toast.makeText(context, "请选择一项", Toast.LENGTH_SHORT).show()
        }
    }


}